#version 460

out vec4 p3d_FragColor;

uniform int DMKlayer;
//Original: works
uniform samplerCubeArray texture_array3d;
//uniform samplerCubeArrayShadow texture_array3d;

in vec4 TexCoords;
in vec3 dir; 

void main() {
 vec4 sampled = vec4(0.0);
 float shadow = 0.0;
 //Per https://www.khronos.org/opengl/wiki/Cubemap_Texture, DMKlayer is the layer (texture number) and not the layer-face (i.e. 6*x)
 //Original works
 shadow = texture(texture_array3d, vec4(dir.xyz,DMKlayer)).r;
 //shadow = texture(texture_array3d, vec4(dir.xyz,DMKlayer),1.0);
 sampled = vec4(vec3(shadow),1.0); //vec4(coords.x,coords.y,coords.z,1.0);
 p3d_FragColor = sampled;
}