//https://stackoverflow.com/questions/38543155/opengl-render-face-of-cube-map-to-a-quad

#version 460
#extension GL_AMD_vertex_shader_layer : enable

uniform mat4 p3d_ModelViewProjectionMatrix;
uniform int DMKlayer;

in vec4 p3d_Vertex;
in vec4 p3d_MultiTexCoord0;

out vec4 TexCoords;
out vec3 dir;

void main() 

{
  TexCoords = p3d_MultiTexCoord0;
  gl_Position = p3d_ModelViewProjectionMatrix * p3d_Vertex;
  dir =  p3d_Vertex.xyz;
}
